MatrixSetImageCommand Class Reference

`#include <MatrixCommand.h>`

Inheritance diagram for MatrixSetImageCommand:

## Public Member Functions

| MatrixSetImageCommand (MatrixModel *model, const QImage &image, Matrix::ViewType oldView, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
virtual void | redo ()
virtual void | undo ()
Public Member Functions inherited from MatrixUndoCommand
| MatrixUndoCommand (MatrixModel *model, Matrix::Operation op, int startRow, int endRow, int startCol, int endCol, double *data, const QString &text)
| ~MatrixUndoCommand ()

## Private Attributes

QImage | d_image
Matrix::ViewType | d_old_view

## Additional Inherited Members

Protected Attributes inherited from MatrixUndoCommand
double * | d_data
int | d_end_col
int | d_end_row
MatrixModel * | d_model
Matrix::Operation | d_operation
int | d_start_col
int | d_start_row

## Constructor & Destructor Documentation

MatrixSetImageCommand::MatrixSetImageCommand | ( | MatrixModel * | model,
|  | const QImage & | image,
|  | Matrix::ViewType | oldView,
|  | int | startRow,
|  | int | endRow,
|  | int | startCol,
|  | int | endCol,
|  | double * | data,
|  | const QString & | text
| ) |  |

## Member Function Documentation

void MatrixSetImageCommand::redo | ( |  | ) |

virtual

Reimplemented from MatrixUndoCommand.

References d_image, MatrixUndoCommand::d_model, Matrix::displayImage(), Matrix::ImageView, MatrixModel::matrix(), MatrixModel::setImage(), and Matrix::setViewType().

void MatrixSetImageCommand::undo | ( |  | ) |

virtual

Reimplemented from MatrixUndoCommand.

References MatrixUndoCommand::d_end_col, MatrixUndoCommand::d_end_row, MatrixUndoCommand::d_model, d_old_view, MatrixUndoCommand::d_start_col, MatrixUndoCommand::d_start_row, MatrixModel::matrix(), MatrixModel::setDimensions(), Matrix::setViewType(), and MatrixUndoCommand::undo().

## Member Data Documentation

QImage MatrixSetImageCommand::d_image

private

Referenced by redo().

Matrix::ViewType MatrixSetImageCommand::d_old_view

private

Referenced by undo().

The documentation for this class was generated from the following files:

- qtiplot/src/matrix/MatrixCommand.h
- qtiplot/src/matrix/MatrixCommand.cpp